2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Create new Logical connection

Prev Next
Post
/ccp-connections/

Operation is used to create new logical connection. Available from product version 3.4.0. Terminal and premises IDs are derived automatically from ccp1Id and ccp2Id. These derived fields and connectionType are read-only and cannot be overridden by the request.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Logical connection to be created

object
attenuation
number (float)

Connection attenuation

cableLength
number (float)

Cable length

ccp1Id
integer Required

Cross connection point 1 id. Can not be used when patching an existing logical connection.

ccp2Id
integer Required

Cross connection point 2 id. Can not be used when patching an existing logical connection.

constState
integer

Construction state id

directionId
integer

Direction id

Responses
201

created logical connection data

object
attenuation
number (float)

Connection attenuation

cableLength
number (float)

Cable length

ccp1Id
integer

Cross connection point 1 id. Can not be used when patching an existing logical connection.

ccp1PremId
integer

Cross connection point 1 premises id, derived automatically from the terminal of ccp1Id

ccp1TermId
integer

Cross connection point 1 terminal id, derived automatically from ccp1Id

ccp2Id
integer

Cross connection point 2 id. Can not be used when patching an existing logical connection.

ccp2PremId
integer

Cross connection point 2 premises id, derived automatically from the terminal of ccp2Id

ccp2TermId
integer

Cross connection point 2 terminal id, derived automatically from ccp2Id

connectionType
integer

Connection type id

constState
integer

Construction state id

directionId
integer

Direction id

id
integer

Primary key

400

There was an error in request. Usually field validation failed.

object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error